From c7ba8893abffaa78875c1e90b1c516e059a15839 Mon Sep 17 00:00:00 2001
From: Didier Raboud <odyx@debian.org>
Date: Tue, 31 May 2011 11:28:28 +0200
Subject: [PATCH] Fix debcheckout authenticated git checkouts with the new
 anonymous alioth frontend: anonscm.debian.org.

Closes: #628674
---
 debian/changelog       |    4 ++++
 scripts/debcheckout.pl |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 5e4315c..5b2aa10 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,10 @@ devscripts (2.11.1) UNRELEASED; urgency=low
   [ David Prévot ]
   * Stylish manual pages convention review. (Closes: #628447)
 
+  [ Didier Raboud ]
+  * Fix debcheckout authenticated git checkouts with the new
+    anonymous alioth frontend: anonscm.debian.org (Closes: #628674).
+
  -- Benjamin Drung <bdrung@debian.org>  Sun, 29 May 2011 18:41:13 +0200
 
 devscripts (2.11.0) unstable; urgency=low
diff --git a/scripts/debcheckout.pl b/scripts/debcheckout.pl
index 38a9023..c6ba074 100755
--- a/scripts/debcheckout.pl
+++ b/scripts/debcheckout.pl
@@ -450,7 +450,7 @@ sub set_auth($$$$) {
 		$url =~ s|^\w+://(git\.debian\.org)/git/users/.*?/(.*)|git+ssh://$user$1/~/public_git/$2|;
 		$url =~ s|^\w+://(git\.debian\.org)/~.*?/(.*)|git+ssh://$user$1/~/public_git/$2|;
 	    } else {
-		$url =~ s|^\w+://(git\.debian\.org)/(?:git/)?(.*)|git+ssh://$user$1/git/$2|;
+		$url =~ s|^\w+://(anonscm\.debian\.org\|git\.debian\.org)/(?:git/)?(.*)|git+ssh://${user}git\.debian\.org/git/$2|;
 	    }
 	}
 	# "hg ssh://" needs an extra slash so paths are not based in the user's $HOME
-- 
1.7.5.3

